module Evaluation.FunctionIO
  ( evalFunctionIO
  ) where

import Types (FunctionIO(..), Value(..))

evalFunctionIO :: FunctionIO -> Value -> IO Value
evalFunctionIO f x = case (f, x) of
  (ListDirectory, String _) ->
    pure $ List undefined

  (ReadTemplate, String _) ->
    pure $ Template undefined

  (ConvertImage, Tuple (Tuple (String _, String _), ImageConversionSettings _)) ->
    pure $ Empty

  (SaveFile, Tuple (String _, String _)) ->
    pure $ Empty

  (RunPandoc, String _) ->
    pure $ String undefined

  _ ->
    error "unexpected combination of function and argument type"
