{-# LANGUAGE TemplateHaskell #-}
module Main where

import Types.Dependency (Dependency, formatDependencyTrees)
import DependencyGenerator (evalDepGenM)
import SiteGenerator (generateSite)

import qualified Data.Text.IO as T
import Language.Haskell.TH.Syntax (lift)

dependencies :: [Dependency]
dependencies = $(lift (evalDepGenM generateSite))

main :: IO ()
main = T.putStr $ formatDependencyTrees dependencies
